---
name: Bug report
about: Report a bug
---

## Bug report

**Before** opening an issue, make sure to read the [contributing guide](https://github.com/PaulLeCam/react-leaflet/blob/master/CONTRIBUTING.md) and understand this is a bug tracker, not a support platform.

Please make sure to check the following boxes before submitting an issue.\
**Issues opened without using this template will be closed unless they have a good reason not to follow this template.**

- [ ] All peer dependencies are installed: React, ReactDOM and Leaflet.
- [ ] Using a supported version of React and ReactDOM (v17.0.0 minimum).
- [ ] Using the supported version of Leaflet (v1.7.1 minimum) and its corresponding CSS file is loaded.
- [ ] Using the [latest v3 version of React-Leaflet](https://github.com/PaulLeCam/react-leaflet/releases).
- [ ] The issue has not already been reported.
- [ ] Make sure you have followed the [quick start guide](http://leafletjs.com/examples/quick-start.html) for Leaflet.
- [ ] Make sure you have fully read the [documentation](https://react-leaflet.js.org/docs/start-introduction) and that you understand the [limitations](https://react-leaflet.js.org/docs/start-introduction#limitations).

### Expected behavior

Please describe.

### Actual behavior

Please describe.

### Steps to reproduce

Please provide the simplest example possible to reproduce the issue, based on [this CodePen](https://codepen.io/PaulLeCam/pen/xxOgovP).
