---
title: Logo & Branding
---

The React Leaflet logo provides a way for the community to identify and communicate the technologies used in their mapping applications. While the library is open source, it's encouraged to follow the best practices defined below to upload the integrity of the logo itself and what it represents.

## Logo

### Icon & Wordmark

The primary use is the icon with wordmark. Given the appropriate space available and where possible, this variation should be used in most general applications to represent the full identity of the library.

<img src="/img/logo-title.svg" alt="React Leaflet Logo" width="300"/>

<img src="/img/logo-title-alt.svg" alt="React Leaflet Logo" width="300"/>

### Icon

For use cases that permit smaller space, the icon can be used as a standalone option to represent the React Leaflet library.

<img src="/img/logo.svg" alt="React Leaflet Icon" width="100"/>

### Usage

The React Leaflet logos should not be modified in any way that distorts the shape or contents of the logo.

### Credit

Logo and scheme originally created by [Colby Fayock](https://www.colbyfayock.com/).

### License

The React Leaflet logos and assets are licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).

### Download

For convenience, the following are packaged up in a `.zip` to download:

- react-leaflet-icon-transparent-500x500.png
- react-leaflet-icon-white-500x500.jpg
- react-leaflet-icon.eps
- react-leaflet-icon.svg
- react-leaflet-logo-transparent-1000x280.png
- react-leaflet-logo-white-1000x280.jpg
- react-leaflet-logo.eps
- react-leaflet-logo.svg

[Download All Assets](/assets/react-leaflet-logo.zip)

## Colors

Color usage should follow the values below when working with React Leaflet branding or validating the integrity of the use of one of its logos.

| Color     | Hex     |                                                                        |
| --------- | ------- | ---------------------------------------------------------------------- |
| primary   | #61BA9E | <img src="/assets/swatch-61BA9E-50x50.jpg" alt="#61BA9E" width="20" /> |
| secondary | #2A473E | <img src="/assets/swatch-2A473E-50x50.jpg" alt="#2A473E" width="20" /> |
