import peerDepsExternal from 'rollup-plugin-peer-deps-external'
import resolve from '@rollup/plugin-node-resolve'
import commonjs from '@rollup/plugin-commonjs'
import typescript from 'rollup-plugin-typescript2'

// eslint-disable-next-line @typescript-eslint/no-var-requires
const Package = require('./packages/react-leaflet/package.json')

export default {
    input: 'packages/react-leaflet/src/index.ts',
    output: [
        {
            file: Package.main,
            format: "cjs",
            sourcemap: true
        },
        {
            file: Package.module,
            format: "esm",
            sourcemap: true
        }
    ],
    external: ['leaflet', '@react-leaflet/core'],
    plugins: [
        peerDepsExternal(),
        resolve(),
        commonjs(),
        typescript({ useTsconfigDeclarationDir: true }),
    ]
};